> ## Documentation Index
> Fetch the complete documentation index at: https://docs.starleads.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a dataset

> Partially updates a dataset. Only the provided fields are updated; omitted fields remain unchanged.



## OpenAPI

````yaml /api-reference/openapi.json patch /Dataset/{datasetId}
openapi: 3.0.1
info:
  title: Starleads public API documentation
  description: >
    Welcome to the Starleads Public API documentation. This API provides public
    access to Starleads services, allowing developers and growth-hackers to
    interact with campaign-related data.

    ***

    ### Base endpoint

    ```https://api.starleads.co```

    ***

    ### Errors

    The API uses standard HTTP status codes to indicate the success or failure
    of the API call. In case of failure, the body of the response will be JSON
    in the following format:

    ```

    {
      "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
      "title": "Bad Request",
      "status": 400,
      "detail": "No campaign exists with campaignId : 11111111"
    }

    ```

    The ```type``` property is a link to a general description of the error
    type.

    ***

    ### Authentification

    Authentication for the API is handled with an API key that must be provided
    as a ```X-Api-Key``` header for every request.<br>

    **API keys are supposed to be a secret that only the client and server know.
    Please remember to not share them with anyone.**<br>

    You can find your API keys when authenticated in your Starleads profile
    :<br> ![Api key menu option](../images/api-menu-option-screenshot.png)
  version: v1
  x-logo:
    url: https://api.starleads.co/images/starleads-logo.png
servers: []
security: []
tags:
  - name: Agent
    description: >-
      Manage your AI agent's prompt and knowledge base chat connection. These
      endpoints allow you to read and update the prompt that drives your agent's
      behavior, and connect or detach a knowledge base chat.
  - name: Campaign
    description: >-
      Manage campaigns. A campaign orchestrates outbound calls or web
      interactions using an AI agent. Campaigns are created inactive and can be
      activated separately.
  - name: CampaignField
    description: >-
      CampaignFields enables users to specify customizable fields within their
      campaigns. These fields serve as placeholders (e.g., ```{lastname}```)
      that can be dynamically filled with corresponding data when creating
      prompts, providing flexibility in tailoring campaign content based on
      specific variables.<br>**Those are the keys of the ```databag``` field of
      the request payload to add a new ```CampaignItem``` to a campaign.**
  - name: CampaignItem
    description: Represents prospects entries related to a campaign
  - name: Dataset
    description: >-
      Manage datasets for the RAG (Retrieval-Augmented Generation) knowledge
      base. Datasets are containers for documents that are parsed and used for
      knowledge retrieval by AI agents.
  - name: Document
    description: >-
      Manage documents within datasets. Upload, list, update, download, and
      delete documents. Trigger and stop document parsing to extract knowledge
      from uploaded files.
  - name: KnowledgeBaseChat
    description: >-
      Manage knowledge base chats. A chat connects one or more datasets to
      provide RAG-powered question answering. Chats can be connected to agents
      to enhance their capabilities with knowledge retrieval.
  - name: KnowledgeGraph
    description: >-
      Manage knowledge graphs on datasets. Enable, build, query, and delete
      knowledge graphs to extract structured entity relationships from dataset
      documents. Available on the Business plan.
paths:
  /Dataset/{datasetId}:
    patch:
      tags:
        - Dataset
      summary: Update a dataset
      description: >-
        Partially updates a dataset. Only the provided fields are updated;
        omitted fields remain unchanged.
      operationId: UpdateDataset
      parameters:
        - name: X-Api-Key
          in: header
          description: Api key to pass as a `X-Api-Key` request header.
          required: true
          schema:
            type: string
        - name: datasetId
          in: path
          description: ID of the dataset.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchDatasetRequest'
            example:
              name: Updated Name
              parserConfig:
                chunkTokenNum: 512
      responses:
        '200':
          description: Dataset updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDataset'
        '400':
          description: Bad Request — validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized — invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Not Found — dataset not found or belongs to another company
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PatchDatasetRequest:
      type: object
      description: Partial update for a dataset. Only provided fields will be updated
      properties:
        name:
          type: string
          description: 'Dataset name (if provided: 1-255 chars)'
          nullable: true
        description:
          type: string
          description: Dataset description
          nullable: true
        chunkMethod:
          type: string
          description: Chunking method identifier
          nullable: true
        parserConfig:
          $ref: '#/components/schemas/ParserConfig'
      additionalProperties: false
    PublicDataset:
      type: object
      description: Public representation of a dataset
      properties:
        id:
          type: string
          description: Dataset identifier
        name:
          type: string
          description: Dataset name
        description:
          type: string
          description: Dataset description
          nullable: true
        chunkMethod:
          type: string
          description: Chunking method identifier
          nullable: true
        parserConfig:
          $ref: '#/components/schemas/ParserConfig'
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ParserConfig:
      type: object
      description: Configuration options for dataset document parsing
      properties:
        chunkTokenNum:
          type: integer
          format: int32
          description: Number of tokens per chunk
          nullable: true
        layoutRecognize:
          type: boolean
          description: Whether to use layout recognition
          nullable: true
        delimiter:
          type: string
          description: Custom chunk delimiter
          nullable: true
        taskPageSize:
          type: integer
          format: int32
          description: Pages per parsing task
          nullable: true
      additionalProperties: false

````